Page MenuHomePhabricator

Create new high-priority linter category for multiple unclosed formatting tags whose effects accumulate
Closed, ResolvedPublic

Description

If there are multiple unclosed tags of the same kind where the effects accumulate (ex: small, big), Tidy and Remex behaviors are different. With Remex the effects accumulate with each unclosed tag whereas with Tidy, it seems to be capped at 1 or 2 depending on where the unclosed tags show up.

The most dramatic effect of this can be seen on this itwiki page.

So, any page with 2+ unclosed small or 2+ unclosed big tags should be flagged. There can be some false positives in terms of differences, but better safe than sorry.

Event Timeline

ssastry created this task.Dec 6 2017, 4:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2017, 4:14 AM
ssastry triaged this task as High priority.Dec 6 2017, 4:14 AM

Change 395689 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] WIP: T182170: Linter: Detect multiple-unclosed-formatting-tag linter errors

https://gerrit.wikimedia.org/r/395689

Change 395689 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T182170: Linter: Detect multiple-unclosed-formatting-tags lint errors

https://gerrit.wikimedia.org/r/395689

ssastry moved this task from Backlog to In Progress on the Parsoid board.Dec 6 2017, 11:55 PM
ssastry moved this task from In Progress to Linter on the Parsoid board.Dec 18 2017, 9:35 PM
ssastry closed this task as Resolved.Dec 19 2017, 3:28 PM
ssastry claimed this task.
ssastry removed a project: Patch-For-Review.